Subject: [netmod] New Version Notification for draft-verdt-netmod-yang-module-versioning-01.txt

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Tue, 15 Oct 2019 11:15:48 +0000

To follow up on Joe's message on the versioning work, this is a relatively minor update to the draft-verdt-netmod-yang-module-versioning-00 draft.

Probably the two key changes to be aware of are:

(1) If a revision-label looks like a YANG semver then it must be interpreted as such. 
Section 3.3:

   YANG Semver [I-D.verdt-netmod-yang-semver] defines a versioning	
   scheme based on Semver 2.0.0 [semver] that can be used as a revision	
   label.  All revision labels that match the pattern for the "version"	
   typedef in the ietf-yang-semver YANG module MUST be interpreted as	
   YANG semantic version numbers.

(2) IETF YANG modules must use YANG Semver as the format for their revision-labels.
Section 7.1:

    All IETF YANG modules MUST include revision-label statements for all	
    newly published YANG modules, and all newly published revisions of	
    existing YANG modules.  The revision-label MUST take the form of a	
    YANG semantic version number [I-D.verdt-netmod-yang-semver].

I think that the other changes are relatively minor clean up.

Thanks,
Rob

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: 15 October 2019 12:03
To: Jason Sterne <[email-masked]>; Reshad Rahman (rrahman) <[email-masked]>; Rob Wilton (rwilton) <[email-masked]>; Balazs Lengyel <[email-masked]>; Kevin D'Souza <[email-masked]>; Benoit Claise (bclaise) <[email-masked]>; Joe Clarke (jclarke) <[email-masked]>
Subject: New Version Notification for draft-verdt-netmod-yang-module-versioning-01.txt

A new version of I-D, draft-verdt-netmod-yang-module-versioning-01.txt
has been successfully submitted by Robert Wilton and posted to the IETF repository.

Name:		draft-verdt-netmod-yang-module-versioning
Revision:	01
Title:		Updated YANG Module Revision Handling
Document date:	2019-10-15
Group:		Individual Submission
Pages:		34
URL:            https://www.ietf.org/internet-drafts/draft-verdt-netmod-yang-module-versioning-01.txt
Status:         https://datatracker.ietf.org/doc/draft-verdt-netmod-yang-module-versioning/
Htmlized:       https://tools.ietf.org/html/draft-verdt-netmod-yang-module-versioning-01
Htmlized:       https://datatracker.ietf.org/doc/html/draft-verdt-netmod-yang-module-versioning
Diff:           https://www.ietf.org/rfcdiff?url2=draft-verdt-netmod-yang-module-versioning-01

Abstract:
   This document specifies a new YANG module update procedure that can
   document when non-backwards-compatible changes have occurred during
   the evolution of a YANG module.  It extends the YANG import statement
   with an earliest revision filter to better represent inter-module
   dependencies.  It provides help and guidelines for managing the
   lifecycle of YANG modules and individual schema nodes.  This document
   updates RFC 7950, RFC 8407 and RFC 8525.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat